<?php

namespace common\modules\rubrication\models;

use common\components\artboxtree\ArtboxTreeQueryTrait;

/**
 * This is the ActiveQuery class for [[TaxOption]].
 *
 * @see TaxOption
 */
class TaxOptionQuery extends \yii\db\ActiveQuery
{
    use ArtboxTreeQueryTrait;
    /*public function active()
    {
        return $this->andWhere('[[status]]=1');
    }*/

    /**
     * @inheritdoc
     * @return TaxOption[]|array
     */
    public function all($db = null)
    {
        return parent::all($db);
    }

    /**
     * @inheritdoc
     * @return TaxOption|array|null
     */
    public function one($db = null)
    {
        return parent::one($db);
    }
}
